import { MultiplicityPatterns } from './MultiplicityPatterns';

const result: Record<string, number> = {};
for (const { value, multiplicity, names } of MultiplicityPatterns) {
  if (multiplicity) result[value] = multiplicity - 1;
  for (const name of names) {
    if (multiplicity) result[name] = multiplicity - 1;
  }
}
export const couplingValues = result;
