import { NmrData1D } from 'cheminfo-types';

import { Filter } from '../../types/Filter';
import { Info1D } from '../../types/Info/Info1D';
import { Integrals } from '../../types/Integrals';
import { Peaks } from '../../types/Peaks/Peaks';
import { Ranges } from '../../types/Ranges/Ranges';

export interface Entry1D {
  id?: string;
  data: NmrData1D;
  originalData?: NmrData1D;
  peaks: Peaks;
  integrals: Integrals;
  ranges: Ranges;
  info: Info1D;
  originalInfo?: Info1D;
  filters: Filter[];
}
