import { Entry1D } from '../Entry1D';

import { mapPeaks } from './mapPeaks';

export function updatePeaks(spectrum: Entry1D) {
  spectrum.peaks.values = mapPeaks(spectrum.peaks.values, spectrum, {
    checkIsExisting: false,
    shiftTarget: 'current',
  });
}
