import { joinPatterns } from '../joinPatterns';

test('joinPatterns', () => {
  expect(joinPatterns(['s', 'd', 'd', 'q'])).toBe('h');
});

test('patterns does not exists', () => {
  expect(() => joinPatterns(new Array(10).fill('d'))).toThrowError(
    `The joined pattern from ${new Array(10)
      .fill('d')
      .join(',')} doesn't exist`,
  );
});
