import { translateMultiplet } from '../translateMultiplet';

describe('translate multiplet from one letter', () => {
  it('massive', () => {
    expect(translateMultiplet('m')).toBe('massive');
    expect(translateMultiplet('massive')).toBe('m');
  });
  it('singlet', () => {
    expect(translateMultiplet('s')).toBe('singlet');
    expect(translateMultiplet('br s')).toBe('singlet');
    expect(translateMultiplet('singlet')).toBe('s');
  });
  it('doublet', () => {
    expect(translateMultiplet('d')).toBe('doublet');
    expect(translateMultiplet('doublet')).toBe('d');
  });
  it('triplet', () => {
    expect(translateMultiplet('t')).toBe('triplet');
    expect(translateMultiplet('triplet')).toBe('t');
  });
  it('quartet', () => {
    expect(translateMultiplet('q')).toBe('quartet');
    expect(translateMultiplet('quartet')).toBe('q');
  });
  it('quinplet', () => {
    expect(translateMultiplet('i')).toBe('quintet');
    expect(translateMultiplet('quint')).toBe('quintet');
    expect(translateMultiplet('quintet')).toBe('i');
  });
  it('octet', () => {
    expect(translateMultiplet('o')).toBe('octet');
    expect(translateMultiplet('oct')).toBe('octet');
    expect(translateMultiplet('octet')).toBe('o');
  });
});
