import type { Molecule } from 'openchemlib/full';

import { NMRSignal2D } from '../xyz/NMRSignal2D';
import { NMRZone } from '../xyz/NMRZone';

export interface Prediction2D {
  molfile: string;
  diaIDs: string[];
  nuclei: string[];
  joinedSignals: NMRSignal2D[];
  signals: NMRSignal2D[];
  zones: NMRZone[];
  molecule: Molecule;
}
