export interface SumOptions {
  /**
   * @default true
   */
  isSumConstant: boolean;
  /**
   * If you force the "sum" the mf should not be exists any more otherwise if mf is exists the "sum" must be null or undefined
   * @default undefined
   */
  sum: number | undefined;
  /**
   * @default true
   */
  sumAuto: boolean;
  /**
   * mf will be set automatically for the first time based on the first molecules unless the user change it
   * example 'C10H20O3'
   */
  mf?: string;
  /**
   * key of the selected molecule
   */
  moleculeId?: string;
}
