import { FromTo } from 'cheminfo-types';

import { Signal2D } from '../Signals/Signal2D';

interface ZoneAxis extends FromTo {
  nbAtoms?: number;
  diaIDs?: string[];
}

export interface Zone {
  id: string;
  x: ZoneAxis;
  y: ZoneAxis;
  signals: Signal2D[];
  kind?: string;
}
