import { carbonImpurities } from '..';

test('index.test', () => {
  expect(carbonImpurities).toHaveLength(516);
  expect(carbonImpurities[0]).toMatchInlineSnapshot(`
    {
      "names": [
        "acetic acid",
      ],
      "nucleus": "13C",
      "ranges": [
        {
          "from": 171.685,
          "signals": [
            {
              "assignment": "CO",
              "delta": 171.69,
            },
          ],
          "to": 171.695,
        },
        {
          "from": 20.125,
          "signals": [
            {
              "assignment": "CH₃",
              "delta": 20.13,
            },
          ],
          "to": 20.134999999999998,
        },
      ],
      "smiles": "CC(=O)O",
      "solvent": "THF-d₈",
    }
  `);
});
