import type { ExponentialOptions } from './exponential';
import type { LorentzToGaussOptions } from './lorentzToGauss';
import { SineBellOptions } from './sineBell';

interface Exponential {
  kind: 'exponential';
  options: ExponentialOptions;
}

interface LorentToGauss {
  kind: 'lorentzToGauss';
  options: LorentzToGaussOptions;
}

interface SineBell {
  kind: 'sineBell';
  options: SineBellOptions;
}

export type WindowFunctions = Exponential | LorentToGauss | SineBell;
