import { OCLMolecule } from 'cheminfo-types';

import { NMRRange } from '../xy/NMRRange';

export interface DatabaseNMREntry {
  ocl?: OCLMolecule;
  smiles?: string;
  solvent: string;
  nucleus: string;
  jcampURL?: string;
  names?: string[];
  meta?: Record<string, string>;
  ranges: NMRRange[];
}
