import { Filters } from '../../Filters';
import { Entry1D } from '../Entry1D';

export function getShiftX(spectrum: Entry1D): number {
  const filter = spectrum?.filters?.find(
    (filter) => filter.name === Filters.shiftX.id,
  );

  return filter?.flag ? filter.value.shift : 0;
}
