import { Entry1D } from '../Entry1D';

import { mapIntegrals } from './mapIntegrals';
import { updateIntegralsRelativeValues } from './updateIntegralsRelativeValues';

export function updateIntegrals(spectrum: Entry1D) {
  spectrum.integrals.values = mapIntegrals(
    spectrum.integrals.values,
    spectrum,
    'current',
  );
  updateIntegralsRelativeValues(spectrum, true);
}
