import { Entry1D } from '../Entry1D';

import { mapRanges } from './mapRanges';
import { updateRangesRelativeValues } from './updateRangesRelativeValues';

export function updateRanges(spectrum: Entry1D) {
  spectrum.ranges.values = mapRanges(spectrum.ranges.values, spectrum, {
    checkIsExisting: false,
    shiftTarget: 'current',
  });
  updateRangesRelativeValues(spectrum, true);
}
