import { NmrData2D } from 'cheminfo-types';

import { Filter } from '../../types/Filter';
import { Zones } from '../../types/Zones/Zones';

export interface Entry2D {
  id?: string;
  zones: Zones;
  info: Record<string, any>;
  originalInfo?: Record<string, any>;
  data: NmrData2D;
  originalData?: NmrData2D;
  filters: Filter[];
}
