import { checkMultiplicity } from '../checkMultiplicity';

describe('check composed multiplicity', () => {
  it('dq', () => {
    expect(checkMultiplicity('dq')).toBe(true);
    expect(checkMultiplicity('dq', ['m', 's'])).toBe(true);
  });
  it('ddd', () => {
    expect(checkMultiplicity('ddd')).toBe(true);
    expect(checkMultiplicity('ddd', ['m', 's'])).toBe(true);
  });
  it('dt', () => {
    expect(checkMultiplicity('dt')).toBe(true);
    expect(checkMultiplicity('dt', ['m', 's'])).toBe(true);
  });
  it('rejected massive', () => {
    expect(checkMultiplicity('m', ['m'])).toBeFalsy();
  });
});
