import { NMRPeak1D } from '../NMRPeak1D';

import { convertWidth } from './convertWidth';
import { ConvertWidthTo } from './convertWidthToHz';

export function convertWidthToPPM<T extends NMRPeak1D>(
  peaks: T[],
  options: ConvertWidthTo<T>,
) {
  return convertWidth(peaks, { ...options, convertTo: 'ppm' });
}
