import { NMRRange } from '../..';
import { SumOptions as Options } from '../Options/SumOptions';
import { Signal1D } from '../Signals/Signal1D';

export interface Ranges {
  values: Range[];
  options: Options;
}

export interface Range extends Omit<NMRRange, 'signals' | 'id'> {
  id: string;
  originFrom?: number;
  originTo?: number;
  absolute: number;
  signals: Signal1D[];
  integration: number;
  nbAtoms?: number;
}
