import { FromTo } from 'cheminfo-types';

import type { Peak2D } from '../Peaks/Peak2D';

import type { Signal } from './Signal';

interface SignalAxis {
  delta: number;
  nbAtoms?: number;
  diaIDs?: string[];
  originDelta: number;
}

export interface Signal2D extends Signal {
  sign?: number;
  x: SignalAxis;
  y: SignalAxis;
  peaks?: Peak2D[];
  j?: {
    pathLength?: number | FromTo;
  };
}
