import { NmrData2D, NmrData2DFid } from 'cheminfo-types';

export type Data2DFidComplete = Required<NmrData2DFid>;
export function checkData2DFid(
  data: NmrData2D,
): asserts data is Data2DFidComplete {
  if (!('re' in data && 'im' in data)) {
    throw new Error('imaginary (im) data should exists');
  }
}
