export type NucleusName =
  | 'proton'
  | 'hydrogen'
  | 'helium'
  | 'lithium'
  | 'carbon'
  | 'nitrogen'
  | 'oxigen'
  | 'fluorine'
  | 'sodium'
  | 'aluminum'
  | 'silicon'
  | 'phosphorus'
  | 'iron'
  | 'copper'
  | 'zinc'
  | 'xenon';

export type NucleusSymbolMap = {
  [key in NucleusName]: string;
};

export const nucleusSymbolMap: NucleusSymbolMap = {
  proton: '1H',
  hydrogen: 'H',
  helium: 'He',
  lithium: 'Li',
  carbon: 'C',
  nitrogen: 'N',
  oxigen: 'O',
  fluorine: 'F',
  sodium: 'Na',
  aluminum: 'Al',
  silicon: 'Si',
  phosphorus: 'P',
  iron: 'Fe',
  copper: 'Cu',
  zinc: 'Zn',
  xenon: 'Xe',
};
