import { NmrData2DFt } from 'cheminfo-types';

export type NmrData2DTwoQuadrant = Required<Pick<NmrData2DFt, 'rr' | 'ir'>>;

export function checkNmrData2DTwoQuad(
  data: NmrData2DFt,
): asserts data is NmrData2DTwoQuadrant {
  if (!('ir' in data)) {
    throw new Error('Two quadrants should has ir quadrant');
  }
}
