import Matrix from 'ml-matrix';
import { xEnsureFloat64 } from 'ml-spectra-processing';

export function getZMinMax(data: Matrix) {
  return {
    z: data.to2DArray().map(xEnsureFloat64),
    maxZ: data.max(),
    minZ: data.min(),
  };
}
